/* cool text css */
.cool-text{
    display: inline-flex;
}
.static-text{
    font-size: 3.5rem;
    margin-right: 2rem;
    font-weight: 800;
}
.changing-text{
    position: relative;
    overflow: hidden;
    height: 5rem;
    top: 0;

}
.changing-text li{
    width: 100%;
    height: 5rem;
    padding:0;
    font-size: 3.5rem;
    position: relative;
    top: 0;
    font-weight: 800;
    color: #12D6F0;
    animation: slide 9s steps(3) infinite;
}
@keyframes slide {
    100%{
        top: -15rem;
    }
}
.changing-text li span{
    width: 100%;
    display: inline-block;
    position: relative;
    white-space: nowrap;
    overflow: hidden;
    border-right: 1px solid #12D6F0;
}
.changing-text .first-animation{
    animation: type 3s steps(15) infinite;
}
.changing-text .second-animation{
    animation: type2 3s steps(15) infinite;
}
.changing-text .third-animation{
    animation: type3 3s steps(15) infinite;
}

/* .changing-text li span::after{
    content: "";
    position:absolute;
    height: 100%;
    width: 100%;
    left: 0;
    border-left: 2px solid #12D6F0;
} */
@keyframes type {
    0%{
        width:0;
    }
    10%{
        border: none;
    }
    20%{
        border-right: 1px solid #12D6F0;;
    }
    30%{
        width: 23rem;
        border: none;
    }
    40%
    {
        border-right: 1px solid #12D6F0;;
    }
    50%{
        border:none
    }
    60%{
        border-right: 1px solid #12D6F0;;
    }
    70%{
        border: none;
        width:23rem;
    }
    80%{
        border-right: 1px solid #12D6F0;;
    }
    90%{
        border: none;
        width: 0;
    }
    100%{
        border-right: 1px solid #12D6F0;
        width: 0;
    }
}
@keyframes type2 {
    0%{
        width:0;
    }
    10%{
        border: none;
    }
    20%{
        border-right: 1px solid #12D6F0;;
    }
    30%{
        width: 17rem;
        border: none;
    }
    40%
    {
        border-right: 1px solid #12D6F0;;
    }
    50%{
        border:none
    }
    60%{
        border-right: 1px solid #12D6F0;;
    }
    70%{
        border: none;
        width:17rem;
    }
    80%{
        border-right: 1px solid #12D6F0;;
    }
    90%{
        border: none;
        width: 0;
    }
    100%{
        border-right: 1px solid #12D6F0;
        width: 0;
    }
}
@keyframes type3 {
    0%{
        width:0;
    }
    10%{
        border: none;
    }
    20%{
        border-right: 1px solid #12D6F0;;
    }
    30%{
        width: 20rem;
        border: none;
    }
    40%
    {
        border-right: 1px solid #12D6F0;;
    }
    50%{
        border:none
    }
    60%{
        border-right: 1px solid #12D6F0;;
    }
    70%{
        border: none;
        width:20rem;
    }
    80%{
        border-right: 1px solid #12D6F0;;
    }
    90%{
        border: none;
        width: 0;
    }
    100%{
        border-right: 1px solid #12D6F0;
        width: 0;
    }
}
/* checkbox */
.toggler{
    /* background-color: black; */
    position: absolute;
    top: 0;
    left:0;
    z-index: 0;

    cursor: pointer;
    width: 5rem;
    height: 5rem;
    opacity: 0;
}
.toggler:checked + .hamburger div span{
    top: -1rem;
    transform:rotate(135deg);
}
.toggler:checked + .hamburger div::before{
    top: -1rem;
    transform:rotate(225deg);
}
.toggler:checked + .hamburger div::after{
    opacity: 0;
    transform: translateX(-2vw) ;
}
.toggler:checked:hover + .hamburger div::before{
    transform: rotate(315deg);
}
.toggler:checked:hover + .hamburger div span{
    transform:rotate(225deg);
}

.hamburger div{
        /* background: black; */
    top: 1rem;
    position: relative;
    flex: none;
    width: 100%;
    height: 3px;
    opacity: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.5s ease;
}
.hamburger span{
    top: 1rem;
    position: absolute;
    flex: none;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: black;
    transition: all 0.5s ease;
}
.hamburger div::before,
.hamburger div::after{
    transition: all 0.5s ease;
    content: "";
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: black;
    top: -2rem;
}
.hamburger div::after{
    top: -1rem;
}
.hamburger-menu{
    position: fixed;
    top: 0;
    left: 0;
}
.hamburger{
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    width: 5rem;
    height: 5rem;
    padding: 1rem;
    opacity: 0.65;
    display: flex;
    align-items: center;
    justify-content: center;
}
